%define name    php-pam_auth
%define version 5.0.4
%define rversion 0.4

%define modname pam_auth
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 40_%{modname}.ini

Summary:	The PAM auth module for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://www.math.ohio-state.edu/~ccunning/pam_auth/
Source0:	%{modname}-%{rversion}-4.3.tar.bz2
BuildRequires:	pam-devel
BuildRequires:	php-devel >= 5.0.4
Provides:	php5-pam_auth
Obsoletes:	php5-pam_auth
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

This is a PHP4 extension that will allow you to simply and easily
use php to authenticate via PAM. 

%prep

%setup -q -n pam_auth

%build

%{_usrsrc}/php-devel/buildext %{modname} pam_auth.c \
    "-L/lib/security -L/lib -I%{_includedir}/security -lpam -ldl" \
    "-DCOMPILE_DL_PAM_AUTH -DHAVE_PAM_AUTH"

chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/pam.d/php5 <<EOF
auth            sufficient      pam_pwdb.so shadow nodelay
account         sufficient      pam_pwdb.so
EOF

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG FAQ INSTALL README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/php5
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.4-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.4-1mdk
- initial Mandrakelinux package

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.4-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.4-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.4-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.4-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.4-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.4-1mdk
- fix url
- lib64 fixes
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.4-1mdk
- built for php 4.3.4
- use chrpath

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.4-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.4-1mdk
- 0.4

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.3.1-1mdk
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.3.1-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-7mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-6mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-5mdk
- built against php-4.3.0
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-4mdk
- try to fix the hardcoded rpath this time... (WTF?)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-3mdk
- really fix the hardcoded rpath this time...

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-2mdk
- no hardcoded rpath
- misc spec file fixes

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- initial cooker contrib
